#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './base_k3badvanceddataimagesettings.ui'
**
** Created: Wed Jun 20 06:49:22 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "base_k3badvanceddataimagesettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klistview.h"
#include "kcombobox.h"
#include "klineedit.h"

/*
 *  Constructs a base_K3bAdvancedDataImageSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
base_K3bAdvancedDataImageSettings::base_K3bAdvancedDataImageSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "base_K3bDataCustomFilesystemsWidget" );
    base_K3bDataCustomFilesystemsWidgetLayout = new QGridLayout( this, 1, 1, 0, 6, "base_K3bDataCustomFilesystemsWidgetLayout"); 

    groupIsoSettings = new QGroupBox( this, "groupIsoSettings" );
    groupIsoSettings->setColumnLayout(0, Qt::Vertical );
    groupIsoSettings->layout()->setSpacing( 6 );
    groupIsoSettings->layout()->setMargin( 11 );
    groupIsoSettingsLayout = new QVBoxLayout( groupIsoSettings->layout() );
    groupIsoSettingsLayout->setAlignment( Qt::AlignTop );

    m_viewIsoSettings = new KListView( groupIsoSettings, "m_viewIsoSettings" );
    m_viewIsoSettings->addColumn( tr2i18n( "ISO9660 Filesystem" ) );
    m_viewIsoSettings->header()->setClickEnabled( FALSE, m_viewIsoSettings->header()->count() - 1 );
    m_viewIsoSettings->header()->setResizeEnabled( FALSE, m_viewIsoSettings->header()->count() - 1 );
    m_viewIsoSettings->setFullWidth( TRUE );
    groupIsoSettingsLayout->addWidget( m_viewIsoSettings );

    base_K3bDataCustomFilesystemsWidgetLayout->addMultiCellWidget( groupIsoSettings, 1, 1, 0, 1 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    m_checkRockRidge = new QCheckBox( groupBox3, "m_checkRockRidge" );
    m_checkRockRidge->setChecked( TRUE );
    groupBox3Layout->addWidget( m_checkRockRidge );

    m_checkJoliet = new QCheckBox( groupBox3, "m_checkJoliet" );
    groupBox3Layout->addWidget( m_checkJoliet );

    m_checkUdf = new QCheckBox( groupBox3, "m_checkUdf" );
    groupBox3Layout->addWidget( m_checkUdf );

    base_K3bDataCustomFilesystemsWidgetLayout->addWidget( groupBox3, 0, 0 );

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QVBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    m_checkForceInputCharset = new QCheckBox( groupBox5, "m_checkForceInputCharset" );
    layout1->addWidget( m_checkForceInputCharset );

    m_comboInputCharset = new KComboBox( FALSE, groupBox5, "m_comboInputCharset" );
    m_comboInputCharset->setEnabled( FALSE );
    m_comboInputCharset->setEditable( TRUE );
    layout1->addWidget( m_comboInputCharset );
    groupBox5Layout->addLayout( layout1 );

    m_checkPreservePermissions = new QCheckBox( groupBox5, "m_checkPreservePermissions" );
    groupBox5Layout->addWidget( m_checkPreservePermissions );

    base_K3bDataCustomFilesystemsWidgetLayout->addWidget( groupBox5, 0, 1 );
    languageChange();

    // signals and slots connections
    connect( m_checkForceInputCharset, SIGNAL( toggled(bool) ), m_comboInputCharset, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( m_checkRockRidge, m_checkJoliet );
}

/*
 *  Destroys the object and frees any allocated resources
 */
base_K3bAdvancedDataImageSettings::~base_K3bAdvancedDataImageSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void base_K3bAdvancedDataImageSettings::languageChange()
{
    setCaption( tr2i18n( "Custom Data Filesystems" ) );
    groupIsoSettings->setTitle( tr2i18n( "File System Settings" ) );
    m_viewIsoSettings->header()->setLabel( 0, tr2i18n( "ISO9660 Filesystem" ) );
    groupBox3->setTitle( tr2i18n( "File Systems" ) );
    m_checkRockRidge->setText( tr2i18n( "&Generate Rock Ridge extensions" ) );
    QToolTip::add( m_checkRockRidge, tr2i18n( "Add Rock Ridge extensions to the file system" ) );
    QWhatsThis::add( m_checkRockRidge, tr2i18n( "<p>If this option is checked, K3b will generate the System Use Sharing Protocol records (SUSP) specified by the Rock Ridge Interchange Protocol (IEEE-P1282).\n"
"<p>Rock Ridge extends the ISO-9660 filesystem by features equal to the UNIX filesystems (permissions, symbolic links, very long filenames, ...). It uses ISO-8859 or UTF-16 based characters and allows 255 octets.\n"
"<p>Rock Ridge extensions are located at the end of each ISO-9660 directory record. This makes the Rock Ridge tree closely coupled to the ISO-9660 tree.\n"
"<p><b>It is highly recommended to use Rock Ridge extensions on every data CD or DVD.</b>" ) );
    m_checkJoliet->setText( tr2i18n( "Generate &Joliet extensions" ) );
    QToolTip::add( m_checkJoliet, tr2i18n( "Add Joliet extensions to the file system" ) );
    QWhatsThis::add( m_checkJoliet, tr2i18n( "<p>If this option is checked, K3b will add additional Joliet extensions to the ISO-9660 file system.\n"
"<p>Joliet is not an accepted independent international standard like ISO-9660 or Rock Ridge. It is mainly used on Windows systems.\n"
"<p>Joliet does not allow all characters, so the Joliet filenames are not identical to the filenames on disk (as compared to Rock Ridge). Joliet has a filename length limitation of 64 chars (independent from the character coding and type e.g. European vs. Japanese). This is annoying, as modern file systems all allow 255 characters per path name component.\n"
"<p>Joliet uses UTF-16 coding.\n"
"<p><b>Caution:</b> With the exception of Linux and FreeBSD, there is no POSIX-like OS that supports Joliet. So <b>never create Joliet-only CDs or DVDs</b> for that reason." ) );
    m_checkUdf->setText( tr2i18n( "Generate &UDF structures" ) );
    QToolTip::add( m_checkUdf, tr2i18n( "Add UDF structures to the file system" ) );
    QWhatsThis::add( m_checkUdf, tr2i18n( "<p>If this option is checked K3b will create UDF filesystem structures in addition to the ISO9660 filesystem.\n"
"<p>The UDF (<em><b>U</b>niversal <b>D</b>isk <b>F</b>ormat</em>) is mainly used for DVDs." ) );
    groupBox5->setTitle( tr2i18n( "Other Settings" ) );
    m_checkForceInputCharset->setText( tr2i18n( "F&orce input charset:" ) );
    m_checkPreservePermissions->setText( tr2i18n( "Preserve file permissions (bac&kup)" ) );
    QWhatsThis::add( m_checkPreservePermissions, tr2i18n( "<p>If this option is checked, all files in the resulting file system will have exactly the same permissions as the source files. (Otherwise, all files will have equal permissions and be owned by root).\n"
"<p>This is mainly useful for backups.<p><b>Caution:</b> The permissions may not make much sense on other file systems; for example, if a user that owns a file on the CD or DVD does not exist." ) );
}

#include "base_k3badvanceddataimagesettings.moc"
